UbuntuUpdates.org

Package "lttng-modules-dkms"

Name: lttng-modules-dkms

Description:

Linux Trace Toolkit (LTTng) kernel modules (DKMS)

Latest version: 2.10.8-1ubuntu2~18.04.2
Release: bionic (18.04)
Level: updates
Repository: universe
Head package: lttng-modules
Homepage: https://lttng.org

Links


Download "lttng-modules-dkms"


Other versions of "lttng-modules-dkms" in Bionic

Repository Area Version
base universe 2.10.5-1ubuntu1
PPA: Canonical Kernel Team 2.10.8-1ubuntu1~18.04.1

Changelog

Version: 2.10.8-1ubuntu2~18.04.2 2020-06-24 01:06:34 UTC

  lttng-modules (2.10.8-1ubuntu2~18.04.2) bionic; urgency=medium

  * Fix vmalloc_sync_all() removal (LP: #1874521). Changes from upstream lttng repo:
    - d/p/compat-5.6/0001-Update-for-kernel-5.7-use-vmalloc_sync_mappings-on-k.patch
    - d/p/compat-5.6/0002-Fix-missing-wrapper-rename-to-wrapper_vmalloc_sync_m.patch
    - d/p/compat-5.6/0003-Fix-Use-vmalloc_sync_mappings-on-kernel-5.6-as-well.patch
    - d/p/compat-5.6/0004-Update-Use-vmalloc_sync_mappings-for-stable-kernels.patch
    - d/p/compat-5.6/0005-Update-Use-vmalloc_sync_mappings-for-ubuntu.patch

 -- Stefan Bader <email address hidden> Mon, 08 Jun 2020 16:57:12 +0200

Source diff to previous version
1874521 lttng-modules 2.10.8-1ubuntu2~18.04.1 ADT test failure with linux-kvm 4.15.0-1059.60

Version: 2.10.8-1ubuntu2~18.04.1 2019-12-19 01:07:11 UTC

  lttng-modules (2.10.8-1ubuntu2~18.04.1) bionic; urgency=medium

  * Sync with Eoan to fix 5.3 build issues (LP: #1844764)

Source diff to previous version
1844764 ubuntu_lttng_smoke_test failed with module build on B-hwe-edge 5.3.0

Version: 2.10.8-1ubuntu1~18.04.1 2019-10-07 10:07:01 UTC

  lttng-modules (2.10.8-1ubuntu1~18.04.1) bionic; urgency=medium

  * Fix kernel crash on Bionic with 5.0.0 kernels (LP: #1841766)
    - Initial backport for Bionic to fix issues with 5.0.0
      kernels.

Source diff to previous version
1841766 ubuntu_lttng_smoke_test crash with B-5.0 AWS/Azure/GCP

Version: 2.10.5-1ubuntu1.3 2019-08-29 10:07:04 UTC

  lttng-modules (2.10.5-1ubuntu1.3) bionic; urgency=medium

  * Fix build for Linux 5.0 (LP: #1826846)
    - debian/patches/0013-Fix-net-expose-sk-wmem-in-sock_exceed_buf_limit-trac.patch
    - debian/patches/0014-Fix-signal-Remove-SEND_SIG_FORCED-v4.20.patch
    - debian/patches/0015-Fix-Remove-type-argument-from-access_ok-function-v5.patch
    - debian/patches/0016-Fix-signal-Distinguish-between-kernel_siginfo-and-si.patch
    - debian/patches/0017-Fix-Replace-pointer-values-with-task-tk_pid-and-rpc_.patch
    - debian/patches/0018-Fix-SUNRPC-Simplify-defining-common-RPC-trace-events.patch

 -- Connor Kuehl <email address hidden> Wed, 22 May 2019 11:38:21 -0700

Source diff to previous version
1826846 Unable to build lttng module with 5.0 kernels

Version: 2.10.5-1ubuntu1.2 2018-12-03 17:06:59 UTC

  lttng-modules (2.10.5-1ubuntu1.2) bionic; urgency=medium

  * Fix build with Linux 4.18 (LP: #1787435)
    - debian/patches/0011-Fix-ASoC-level-IO-tracing-removed-upstream.patch
    - debian/patches/0012-Fix-asoc-Remove-snd_soc_cache_sync-implementation.patch
  * Fix build with 4.16 and 4.17 kernels (LP: #1776667)
    - debian/patches/0001-Fix-update-timer-instrumentation-on-4.16-and-4.14-rt.patch
    - debian/patches/0002-Update-kvm-instrumentation-for-ubuntu-kernel-4.13.0-38+.patch
    - debian/patches/0001-Fix-update-timer-instrumentation-on-4.16-and-4.14-rt.patch
    - debian/patches/0002-Fix-update-vmscan-instrumentation-for-v4.16.patch
    - debian/patches/0003-Fix-update-rcu-instrumentation-for-v4.16.patch
    - debian/patches/0004-Fix-Add-gfp_flags-arg-to-mm_vmscan_kswapd_wake-for-4.patch
    - debian/patches/0005-Fix-use-struct-reclaim_stat-in-mm_vmscan_lru_shrink_.patch
    - debian/patches/0006-Fix-sunrpc-instrumentation-for-4.17.patch
    - debian/patches/0007-Fix-update-RCU-instrumentation-for-4.17.patch
    - debian/patches/0008-Fix-dyntick-field-added-to-trace_rcu_dyntick-in-v4.1.patch

 -- Marcelo Henrique Cerri <email address hidden> Thu, 22 Nov 2018 09:37:03 -0200

1787435 lttng-modules 2.10.5-1ubuntu3 ADT test failure with linux 4.18.0-5.6
1776667 lttng-modules 2.10.5-1ubuntu1 ADT test failure with linux 4.17.0-2.3



About   -   Send Feedback to @ubuntu_updates